notes/urls.py
from django.urls import path
from .views import add_note, index

urlpatterns = [
    path('', index, name='index'),
    path('add-note', add_note, name='add-note')
]

pesanmotivasi/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.Add_Motivasi, name='motivasi'),
    path('view_motivasi/', views.view_motivasi, name='view_motivasi'),
    path('json/', views.json, name='json'),
    path('delete_motivasi/<mot_id>/', views.delete_motivasi, name='delete-motivasi'),
]

project/urls.py
from django.contrib import admin
from django.urls import include, path, re_path
from login_register.views import login as index
import tasks.urls as tasks
import profile_page.urls as profile
import weekly_schedule.urls as weekly_schedule
import personal_journal.urls as personal_journal
import pesanmotivasi.urls as pesan_motivasi
import notes.urls as notes
import login_register.urls as login_register
import authentication.urls as auth
from .router import router

urlpatterns = [
    path('admin/', admin.site.urls),
    path('notes/', include(notes)),
    path('tasks/',include(tasks)),
    path('profile/', include(profile)),
    path('weekly_schedule/', include(weekly_schedule)),
    path('account/', include(login_register)),
    path('personal_journal/', include(personal_journal)),
    path('motivasi/', include(pesan_motivasi)),
    path('auth/', include(auth)),
    path('api/',include(router.urls)),#khusus personal journal versi app
    re_path(r'^$', index, name='index'),
]

pesanmotivasi/models.py
from django.db import models


# Create your models here.
class Motivasi(models.Model):
    to = models.CharField(max_length=10)
    pesan = models.CharField(max_length=200)
    

pesanmotivasi/forms.py
from django.forms import widgets
from .models import Motivasi
from django import forms



class MotivasiForm(forms.ModelForm):
    class Meta:
        model = Motivasi
        fields = ('to','pesan')

        widgets = {
            'to' : forms.TextInput(attrs={'class':'form-control'}),
            'pesan' : forms.Textarea(attrs={'class':'form-control'})
        }

pesanmotivasi/views.py
from django.shortcuts import get_object_or_404, redirect, render
from .models import Motivasi
from .forms import MotivasiForm
from django.core import serializers
from django.http.response  import HttpResponse


def home(request):
    return render(request, 'main/home.html')

def json(request):
    data = serializers.serialize('json', Motivasi.objects.all())
    return HttpResponse(data, content_type="application/json")


def Add_Motivasi(request):
    form = MotivasiForm(request.POST or None, request.FILES or None)
    response = {'form': form}
    # check if form data is valid
    if form.is_valid():
        # save the form data to model
        form.save()
    return render(request, 'main/motivasi/motivasi.html',response)

def view_motivasi(request):
    motivasi =  Motivasi.objects.all()
    response = {'motivasi': motivasi}
    return render(request, 'main/motivasi/view_motivasi.html', response)


def delete_motivasi(request,mot_id):
    motivasi = get_object_or_404(Motivasi,pk=mot_id)
    motivasi.delete()
    return redirect('main:view_motivasi')
   

pesanmotivasi/templates/main/motivasi/motivasi.html
{% extends 'base.html' %}
{% load static %}

{% block navbar %}

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

<!DOCTYPE html>
<html>
  <style>
  .header{
    background-color: #000000;
  }
    </style>
    <header>
<div class="container">
  <div class="header-right">
      <a href="{% url 'main:view_motivasi' %}"  ><b>View Pesan</b></a>
      <a href="{% url 'main:motivasi' %}"  ><b>Add Pesan</b></a>
  </div>
</div>
</header>
</html>
{% endblock navbar %}
{% block content %}

<!DOCTYPE html>
<html>
<style>
.center_div{
    margin: 0 auto;
    width:80% 
}
</style>

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">



<br></br>
<div class="container center_div">
  <div class="row justify-content-center align-items-center h-100">
    <div class="col col-sm-4 col-md-4">
<h2><b>Add Pesan Motivasi</b></h1>
</div>
  </div>
    </div>
<div class="mb-3">
  <div class="container center_div">
  <div class="row justify-content-center align-items-center h-100">
    <div class="col col-sm-6 col-md-6">
           
<form method="POST" >
      {% csrf_token %}
      {{ form.as_p }}
      
     
      <button type="submit" value = "submit" class="btn btn-dark"  >Submit</button>
      
    </form>  
</div>
</div>
{% endblock %}
</div>
</div>
</html>

pesanmotivasi/templates/main/motivasi/view_motivasi.html
{% extends 'base.html' %}
{% load static %}

{% block navbar %}

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

<!DOCTYPE html>
<html>
  <style>
  .header{
    background-color: #000000;
  }
    </style>
    <header>
<div class="container">
  <div class="header-right">
      <a href="{% url 'main:view_motivasi' %}"  ><b>View Pesan</b></a>
      <a href="{% url 'main:motivasi' %}"  ><b>Add Pesan</b></a>
  </div>
</div>
</header>
</html>
{% endblock navbar %}



{% block content %}
<!DOCTYPE html>
<html>
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
.card {
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  transition: 0.3s;
  width: 40%;
}

.center_div{
    margin: 0 auto;
    width:80% 
}

.card:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
}

.container {
  padding: 2px 16px;
}
ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
</style>
</head>
<body>
 <br></br>
  <div class="container center_div">
<h2><b>Isi Pesan Motivasi</b></h2>
<br></br>
</div>
{% for x in motivasi %}
<div class="card">
  <div class="container">
    <div class="container center_div">
    <p><label> to: </label><b> {{ x.to }} </b></p> 
    <p><label> pesan: </label><b> {{ x.pesan }} </b></p> 

    <a href = "{% url 'main:delete-motivasi' x.id %}"  class= "btn btn-outline-danger btn-sm"> Delete </a>
    
  </div>
  </div>
</div>



{% endfor %}

{% endblock %}
<br>
</body>
</html> 